org.apache.cassandra.db.transform

## Class FilteredPartitions

- java.lang.Object
- - org.apache.cassandra.db.transform.BasePartitions<RowIterator,BasePartitionIterator<?>>
  - - org.apache.cassandra.db.transform.FilteredPartitions

All Implemented Interfaces:
  java.lang.AutoCloseable, java.util.Iterator<RowIterator>, BasePartitionIterator<RowIterator>, PartitionIterator, CloseableIterator<RowIterator>

    public final class FilteredPartitions
    extends BasePartitions<RowIterator,BasePartitionIterator<?>>
    implements PartitionIterator

### Field Summary

Fields
`static org.apache.cassandra.db.transform.Stack.MoreContentsHolder[]` `EMPTY_MORE_CONTENTS_HOLDERS`
`static Transformation[]` `EMPTY_TRANSFORMATIONS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`static FilteredPartitions` `filter(UnfilteredPartitionIterator iterator, Filter filter)`
`static FilteredPartitions` `filter(UnfilteredPartitionIterator iterator, int nowInSecs)` Filter any RangeTombstoneMarker from the iterator's iterators, transforming it into a PartitionIterator.
`protected boolean` `hasMoreContents()`
`O` `next()`

### Methods inherited from class org.apache.cassandra.db.transform.BasePartitions

`applyOne, hasNext, runOnClose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.partitions.BasePartitionIterator

`close`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Field Detail

#### EMPTY_TRANSFORMATIONS

    public static final Transformation[] EMPTY_TRANSFORMATIONS

#### EMPTY_MORE_CONTENTS_HOLDERS

    public static final org.apache.cassandra.db.transform.Stack.MoreContentsHolder[] EMPTY_MORE_CONTENTS_HOLDERS

### Method Detail

#### filter

    public static FilteredPartitions filter(UnfilteredPartitionIterator iterator,
                                            int nowInSecs)

Filter any RangeTombstoneMarker from the iterator's iterators, transforming it into a PartitionIterator.

#### filter

    public static FilteredPartitions filter(UnfilteredPartitionIterator iterator,
                                            Filter filter)

#### close

    public final void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`

#### next

    public final O next()

Specified by:
  `next` in interface `java.util.Iterator<O extends V>`

#### hasMoreContents

    protected final boolean hasMoreContents()